import { request } from "../lib/api";
import { ApplicationType, JobType } from "../types";

export default class CommonAPI {
  static getJobs = () => request("<BASE_URL>/jobs", "GET");

  static createJob = (payload: JobType) =>
    request("<BASE_URL>/jobs", "POST", payload);

  static updateJob = (payload: JobType) =>
    request("<BASE_URL>/jobs", "PUT", payload);

  static applyForJob = (payload: {
    application: ApplicationType;
    resumeUrl: string;
  }) => request("<BASE_URL>/applications/apply", "POST", payload);

  static updateApplication = (payload: {
    update: any;
    applicationId: string;
    candidateId: string;
  }) => request("<BASE_URL>/applications/update", "PUT", payload);

  static analyseInterview = (payload: {
    startTime: number;
    endTime: number;
    applicationId: string;
  }) => request("<BASE_URL>/applications/analyse", "POST", payload);
}
