import React from "react";

type OwnProps = {
  alert?: string | null;
  setAlert: (value: string | null) => void;
};

const Alert = ({ alert, setAlert }: OwnProps) => {
  const onClose = () => setAlert(null);
  if (!alert) return null;
  return (
    <div className="alert alert-warning alert-dismissible fade show mt-3">
      {alert}
      <button type="button" className="btn-close" onClick={onClose}></button>
    </div>
  );
};

export default Alert;
