import { useSelector } from "react-redux";
import { Navigate, Outlet } from "react-router-dom";

import { Reducers } from "../common/types";

export default function ProtectedRoutes() {
  const auth = useSelector((state: Reducers) => state.auth?.token);
  if (auth) return <Outlet />;
  return <Navigate to="/" />;
}
