import React from "react";

type OwnProps = {
  tabs: string[];
  selected?: string;
  onSelect: (tab: string) => void;
};

const TabNavBar = ({ tabs, selected, onSelect }: OwnProps) => {
  const renderTabs = (tab: string, index: number) => {
    const className = tab === selected ? "nav-link active" : "nav-link";
    const onClick = () => onSelect(tab);
    return (
      <li className="nav-item" key={index}>
        <button className={className} aria-current="page" onClick={onClick}>
          {tab}
        </button>
      </li>
    );
  };
  return <ul className="nav nav-tabs mb-4">{tabs.map(renderTabs)}</ul>;
};

export default TabNavBar;
